
GammaLib - Action #2210

Implement ARF integration in CTAOnOffObservation

10/09/2017 03:32 PM - Knödlseder Jürgen

Status: Closed Start date: 10/09/2017

Priority: Normal Due date:  

Assigned To: Martin Pierrick % Done: 100%

Category:  Estimated time: 10.00 hours

Target version: 1.5.0   

Description

History

#1 - 10/09/2017 03:36 PM - Knödlseder Jürgen

- Assigned To set to Martin Pierrick

#2 - 10/11/2017 09:00 PM - Knödlseder Jürgen

- Subject changed from Implement ARF integration in @CTAOnOffObservation@ to Implement ARF integration in CTAOnOffObservation

#3 - 10/13/2017 09:25 AM - Martin Pierrick

- File test_OnOff_8th.py added

Integration of ARF, RMF, and BGD over the ON-OFF regions should now be done properly. But there are still some bugs in the code because the

attached self-contained test script for a simple reflected region case does not yield the expected output.

#4 - 10/13/2017 09:25 AM - Martin Pierrick

- % Done changed from 0 to 50

- Estimated time set to 10.00

#5 - 10/13/2017 10:47 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Target version set to 1.5.0

- % Done changed from 50 to 90

I integrated the code into GammaLib and did some minor bug fixes. From my perspective the code is okay.

I put the status to feedback in case you want to double check.

#6 - 10/16/2017 01:29 PM - Martin Pierrick

I found out that I made a mistake in the way I handled the RMF for the computation of the expected ON counts, and then realized that I should have

done a proper integration over the bin width instead of using the log-mean value. Apparently you did correct these two points in the new version so

everything should work fine now. I will test it with my script and let you know.

#7 - 10/30/2017 10:35 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
Files

test_OnOff_8th.py 32.6 KB 10/13/2017 Martin Pierrick
